  private:////////////////////////
  //valiables for properties

  long _value;
  protected:////////////////////////
     //definition of properties

  WSMFpropertyDef(WSNvalue,long,_value);

     //valiables for instances
WSCvarrow* numvarr_001;
WSCvifield* numvifi_002;
WSCvarrow* numvarr_003;
     void _property_initialize();

     void _property_delete();

  public:////////////////////////
virtual     long initialize();

            long objectInitialize();


   // definitions for event procedures

   static void _on_btn_press(WSCbase*);
   static void _on_btn_release(WSCbase*);
   static void _on_btn_move(WSCbase*);
   static void _on_delete(WSCbase*);
   static void delete_handler(WSCbase*);
   static void resizeep(WSCbase*);
   static void downep(WSCbase*);
   static void numkey(WSCbase*);
   static void update(WSCbase*);
   static void upep(WSCbase*);


